curl --request POST \
--url https://api.whop.com/api/v1/partners/businesses/{id}/accept_commission_advance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"acknowledgments": [
"commission_replacement",
"clawback",
"term"
],
"expected_amount_usd": "1439.99",
"offer_token": "eyJfcmFpbHMiOnsiZGF0YSI6MSwicHVyIjoiYmxvYl9pZCJ9fQ==--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"terms_version": "2026-01-01"
}
'import requests
url = "https://api.whop.com/api/v1/partners/businesses/{id}/accept_commission_advance"
payload = {
"acknowledgments": ["commission_replacement", "clawback", "term"],
"expected_amount_usd": "1439.99",
"offer_token": "eyJfcmFpbHMiOnsiZGF0YSI6MSwicHVyIjoiYmxvYl9pZCJ9fQ==--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"terms_version": "2026-01-01"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
acknowledgments: ['commission_replacement', 'clawback', 'term'],
expected_amount_usd: '1439.99',
offer_token: 'eyJfcmFpbHMiOnsiZGF0YSI6MSwicHVyIjoiYmxvYl9pZCJ9fQ==--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx',
terms_version: '2026-01-01'
})
};
fetch('https://api.whop.com/api/v1/partners/businesses/{id}/accept_commission_advance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.whop.com/api/v1/partners/businesses/{id}/accept_commission_advance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'acknowledgments' => [
'commission_replacement',
'clawback',
'term'
],
'expected_amount_usd' => '1439.99',
'offer_token' => 'eyJfcmFpbHMiOnsiZGF0YSI6MSwicHVyIjoiYmxvYl9pZCJ9fQ==--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx',
'terms_version' => '2026-01-01'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.whop.com/api/v1/partners/businesses/{id}/accept_commission_advance"
payload := strings.NewReader("{\n \"acknowledgments\": [\n \"commission_replacement\",\n \"clawback\",\n \"term\"\n ],\n \"expected_amount_usd\": \"1439.99\",\n \"offer_token\": \"eyJfcmFpbHMiOnsiZGF0YSI6MSwicHVyIjoiYmxvYl9pZCJ9fQ==--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx\",\n \"terms_version\": \"2026-01-01\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.whop.com/api/v1/partners/businesses/{id}/accept_commission_advance")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"acknowledgments\": [\n \"commission_replacement\",\n \"clawback\",\n \"term\"\n ],\n \"expected_amount_usd\": \"1439.99\",\n \"offer_token\": \"eyJfcmFpbHMiOnsiZGF0YSI6MSwicHVyIjoiYmxvYl9pZCJ9fQ==--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx\",\n \"terms_version\": \"2026-01-01\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.whop.com/api/v1/partners/businesses/{id}/accept_commission_advance")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"acknowledgments\": [\n \"commission_replacement\",\n \"clawback\",\n \"term\"\n ],\n \"expected_amount_usd\": \"1439.99\",\n \"offer_token\": \"eyJfcmFpbHMiOnsiZGF0YSI6MSwicHVyIjoiYmxvYl9pZCJ9fQ==--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx\",\n \"terms_version\": \"2026-01-01\"\n}"
response = http.request(request)
puts response.read_body{
"commission_advance": {
"activity_60_day": {
"amount": "-1234.56",
"currency": "usd",
"decimals": 2,
"display_decimals": 2
},
"amount": {
"amount": "-1234.56",
"currency": "usd",
"decimals": 2,
"display_decimals": 2
},
"annual_ads": {
"amount": "-1234.56",
"currency": "usd",
"decimals": 2,
"display_decimals": 2
},
"annual_processing": {
"amount": "-1234.56",
"currency": "usd",
"decimals": 2,
"display_decimals": 2
},
"clawed_back_at": null,
"deadline_at": "2026-01-01T12:00:00.000Z",
"funded_at": null,
"offer_token": null,
"processing_target": {
"amount": "-1234.56",
"currency": "usd",
"decimals": 2,
"display_decimals": 2
},
"projected_60_day_activity": {
"amount": "-1234.56",
"currency": "usd",
"decimals": 2,
"display_decimals": 2
},
"projected_ads_commissions": {
"amount": "-1234.56",
"currency": "usd",
"decimals": 2,
"display_decimals": 2
},
"projected_commissions": {
"amount": "-1234.56",
"currency": "usd",
"decimals": 2,
"display_decimals": 2
},
"projected_processing_commissions": {
"amount": "-1234.56",
"currency": "usd",
"decimals": 2,
"display_decimals": 2
},
"qualified_at": "2026-01-01T12:00:00.000Z",
"recovery_threshold": {
"amount": "-1234.56",
"currency": "usd",
"decimals": 2,
"display_decimals": 2
},
"status": "accepted",
"terms_version": "2026-01-01"
},
"id": "coma_xxxxxxxxxxxxxx"
}{
"error": {
"message": "account_id is required",
"type": "bad_request",
"code": "<string>"
}
}Accept a CPA Offer
Accept the authenticated partner’s CPA offer with the reviewed terms and signed offer token. Public API access requires a partner OAuth token; business API keys are not supported.
curl --request POST \
--url https://api.whop.com/api/v1/partners/businesses/{id}/accept_commission_advance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"acknowledgments": [
"commission_replacement",
"clawback",
"term"
],
"expected_amount_usd": "1439.99",
"offer_token": "eyJfcmFpbHMiOnsiZGF0YSI6MSwicHVyIjoiYmxvYl9pZCJ9fQ==--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"terms_version": "2026-01-01"
}
'import requests
url = "https://api.whop.com/api/v1/partners/businesses/{id}/accept_commission_advance"
payload = {
"acknowledgments": ["commission_replacement", "clawback", "term"],
"expected_amount_usd": "1439.99",
"offer_token": "eyJfcmFpbHMiOnsiZGF0YSI6MSwicHVyIjoiYmxvYl9pZCJ9fQ==--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"terms_version": "2026-01-01"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
acknowledgments: ['commission_replacement', 'clawback', 'term'],
expected_amount_usd: '1439.99',
offer_token: 'eyJfcmFpbHMiOnsiZGF0YSI6MSwicHVyIjoiYmxvYl9pZCJ9fQ==--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx',
terms_version: '2026-01-01'
})
};
fetch('https://api.whop.com/api/v1/partners/businesses/{id}/accept_commission_advance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.whop.com/api/v1/partners/businesses/{id}/accept_commission_advance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'acknowledgments' => [
'commission_replacement',
'clawback',
'term'
],
'expected_amount_usd' => '1439.99',
'offer_token' => 'eyJfcmFpbHMiOnsiZGF0YSI6MSwicHVyIjoiYmxvYl9pZCJ9fQ==--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx',
'terms_version' => '2026-01-01'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.whop.com/api/v1/partners/businesses/{id}/accept_commission_advance"
payload := strings.NewReader("{\n \"acknowledgments\": [\n \"commission_replacement\",\n \"clawback\",\n \"term\"\n ],\n \"expected_amount_usd\": \"1439.99\",\n \"offer_token\": \"eyJfcmFpbHMiOnsiZGF0YSI6MSwicHVyIjoiYmxvYl9pZCJ9fQ==--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx\",\n \"terms_version\": \"2026-01-01\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.whop.com/api/v1/partners/businesses/{id}/accept_commission_advance")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"acknowledgments\": [\n \"commission_replacement\",\n \"clawback\",\n \"term\"\n ],\n \"expected_amount_usd\": \"1439.99\",\n \"offer_token\": \"eyJfcmFpbHMiOnsiZGF0YSI6MSwicHVyIjoiYmxvYl9pZCJ9fQ==--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx\",\n \"terms_version\": \"2026-01-01\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.whop.com/api/v1/partners/businesses/{id}/accept_commission_advance")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"acknowledgments\": [\n \"commission_replacement\",\n \"clawback\",\n \"term\"\n ],\n \"expected_amount_usd\": \"1439.99\",\n \"offer_token\": \"eyJfcmFpbHMiOnsiZGF0YSI6MSwicHVyIjoiYmxvYl9pZCJ9fQ==--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx\",\n \"terms_version\": \"2026-01-01\"\n}"
response = http.request(request)
puts response.read_body{
"commission_advance": {
"activity_60_day": {
"amount": "-1234.56",
"currency": "usd",
"decimals": 2,
"display_decimals": 2
},
"amount": {
"amount": "-1234.56",
"currency": "usd",
"decimals": 2,
"display_decimals": 2
},
"annual_ads": {
"amount": "-1234.56",
"currency": "usd",
"decimals": 2,
"display_decimals": 2
},
"annual_processing": {
"amount": "-1234.56",
"currency": "usd",
"decimals": 2,
"display_decimals": 2
},
"clawed_back_at": null,
"deadline_at": "2026-01-01T12:00:00.000Z",
"funded_at": null,
"offer_token": null,
"processing_target": {
"amount": "-1234.56",
"currency": "usd",
"decimals": 2,
"display_decimals": 2
},
"projected_60_day_activity": {
"amount": "-1234.56",
"currency": "usd",
"decimals": 2,
"display_decimals": 2
},
"projected_ads_commissions": {
"amount": "-1234.56",
"currency": "usd",
"decimals": 2,
"display_decimals": 2
},
"projected_commissions": {
"amount": "-1234.56",
"currency": "usd",
"decimals": 2,
"display_decimals": 2
},
"projected_processing_commissions": {
"amount": "-1234.56",
"currency": "usd",
"decimals": 2,
"display_decimals": 2
},
"qualified_at": "2026-01-01T12:00:00.000Z",
"recovery_threshold": {
"amount": "-1234.56",
"currency": "usd",
"decimals": 2,
"display_decimals": 2
},
"status": "accepted",
"terms_version": "2026-01-01"
},
"id": "coma_xxxxxxxxxxxxxx"
}{
"error": {
"message": "account_id is required",
"type": "bad_request",
"code": "<string>"
}
}Authorizations
An Account API key, an App API key, an account access token, an account-scoped user token, or a user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************. See Auth & API keys for how to get each one.
Headers
A unique key that makes this request safe to retry. See Idempotent requests.
255"d9105228-4a08-46b1-8b91-42fed586d383"
Pins the request to a dated API version.
"2026-10-13-1"
Path Parameters
The referred business relationship ID.
Body
commission_replacement, clawback, term [
"commission_replacement",
"clawback",
"term"
]
Reviewed payment amount in USD.
"1439.99"
Signed offer token returned by the partner business response. Requires partner:commission_advance:accept permission to retrieve.
"eyJfcmFpbHMiOnsiZGF0YSI6MSwicHVyIjoiYmxvYl9pZCJ9fQ==--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"
Reviewed CPA terms version.
"2026-01-01"

